/*
 * @file   config.h
 * @author Thomas Chust <chust@web.de>
 */

#ifndef _CONFIG_H_
#define _CONFIG_H_

#ifdef LIB_SHARED
#  ifdef _EXPORTS_
#    if defined(_WIN32) || defined(__WIN32__) || defined(__CYGWIN__)
#      define EXPORT extern __declspec(dllexport)
#    else
#      define EXPORT extern
#    endif
#  else
#    if defined(_WIN32) || defined(__WIN32__) || defined(__CYGWIN__)
#      define EXPORT extern __declspec(dllimport)
#    else
#      define EXPORT extern
#    endif
#  endif /* _EXPORTS_ */
#else
#  define EXPORT extern
#endif /* LIB_SHARED */

#endif /* _CONFIG_H_ */
